<?php

namespace DefStudio\GameEngine\Listeners\Missions;

use DefStudio\GameEngine\Events\Missions\MissionSaved;

class MissionSavedListener
{
    public function handle(MissionSaved $event): void
    {
        $event->mission->map->unsetRelation('missions');
    }
}
